2018-07-16 17:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002245OpenFOAMContributionpublic2018-07-10 11:16
Reportermettob 
Assigned Tohenry 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSOtherOS Version(please specify)
Product Version4.x 
Target VersionFixed in Version4.x 
Summary0002245: chtMultiRegionFoam initial deltaT independent of deltaT in controlDict when using adjustTimeStep
DescriptionWhen using adjustTimeStep in chtMultiRegionFoam, the initial time step can be very huge and the deltaT entry is not used in its calculation.
This is also in contrast to the usual behavior of OF solvers.

In setInitialMultiRegionDeltaT.H change

runTime.setDeltaT
(
    min
    (
        min(maxCo/CoNum, maxDi/DiNum)*runTime.deltaT().value(),
        maxDeltaT
    )
);

to

runTime.setDeltaT
(
    min
    (
        min(maxCo/CoNum, maxDi/DiNum)*runTime.deltaT().value(),
        min(runTime.deltaT().value(), maxDeltaT)
    )
);

This reproduces the behavior known from setInitialDeltaT.H



Steps To ReproduceCan be reproduced with any chtMultiRegionFoam tutorial like multiRegionHeater, for example.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006873

henry (reporter)

Resolved in OpenFOAM-dev by commit a6ee4f5af3d838048cf4a7ee2f96b3b5a3cc5736
Resolved in OpenFOAM-4.x by commit 00356f9f7cc8f79ece91535bbbda25b48e62774d
+Notes

-Issue History
Date Modified Username Field Change
2016-09-15 15:39 mettob New Issue
2016-09-15 15:39 mettob Tag Attached: chtMultiRegionFoam adjustTimeStep
2016-09-16 17:42 henry Assigned To => henry
2016-09-16 17:42 henry Status new => resolved
2016-09-16 17:42 henry Resolution open => fixed
2016-09-16 17:42 henry Fixed in Version => 4.x
2016-09-16 17:42 henry Note Added: 0006873
2018-07-10 11:16 administrator Tag Detached: chtMultiRegionFoam adjustTimeStep
+Issue History